# meshgen-tools

Bindings to useful C++ functions for mesh generation algorithms.

### Usage

`python3 -m pip install git+ssh://git@gitlab-master.nvidia.com:12051/nsharp/meshgen-tools.git` installs a package `meshgen_tools`.

The functions are defined in `/src`. See `/tests/quick_demo.py` for example usage.

### Dependencies

The `eigen` library needs to be available.

```sh
sudo apt install libeigen3-dev
```


### Development

Use
```sh
python3 -m pip install --no-build-isolation -ve .
```
for local editable builds during development.
